Munin::Node::Configure::HostEnumeration(3)

NAME
Munin::Node::Configure::HostEnumeration - Takes a list of hosts, and returns the corresponding IPs in dotted-quad form.

SYNOPSIS
  @hosts = ('switch1', 'host1/24', '10.0.0.60/30');
  foreach my $host (expand_hosts(@hosts)) {
      # ...
  }

SUBROUTINES

expand_hosts
      @expanded = expand_hosts(@list);

    Takes a list of hosts, and returns the corresponding IPs in dotted-quad form.

    Items can be specified as a hostname or dotted-quad IP, either with or without a netmask.

    Currently only IPv4 addresses are supported.